<p align="center"><a href="https://fresns.org" target="_blank"><img src="https://assets.fresns.com/images/logos/fresns.png" width="300"></a></p>

<p align="center">
<img src="https://img.shields.io/packagist/dependency-v/fresns/fresns/php" alt="PHP">
<img src="https://img.shields.io/github/v/release/fresns/fresns?color=orange" alt="Fresns">
<img src="https://img.shields.io/github/license/fresns/fresns" alt="License">
</p>

## About Fresns

Fresns is a free and open source social network service software, a general-purpose community product designed for cross-platform, and supports flexible and diverse content forms. It conforms to the trend of the times, satisfies a variety of operating scenarios, is more open and easier to re-development.

- Database support `MySQL`, `MariaDB`, `PostgreSQL`, `SQL Server`, `SQLite`
- [Click to discover the 16 features of Fresns](https://fresns.org/intro/features.html)
- Users should read the [installation](https://fresns.org/guide/install.html) and [operating](https://fresns.org/intro/operating.html) documentation.
- Extensions developers should read the [extension documentation](https://docs.fresns.com/open-source/) and [database structure](https://docs.fresns.com/open-source/database/).
- For client developers (web or app), please read the [API reference](https://docs.fresns.com/clients/api/) documentation.

## Preview

| Social Network | Forum |
| :---: | :---: |
| ![Moments](https://assets.fresns.com/images/wikis/previews/Moments.png) | ![ForumX](https://assets.fresns.com/images/wikis/previews/ForumX.png) |
| ![ForumQ](https://assets.fresns.com/images/wikis/previews/ForumQ.png) | ![ThemeFrame](https://assets.fresns.com/images/wikis/previews/ThemeFrame.png) |

- Get more: [https://marketplace.fresns.com/clients](https://marketplace.fresns.com/clients)

## Installation

Read the [**Installation guide**](https://fresns.org/guide/install.html) to get started. For support, refer to the [documentation](https://fresns.org/guide/), and ask questions on the [community forum](https://discuss.fresns.org/) or [github issues](https://github.com/fresns/fresns/issues).

## Contributing

Thank you for considering contributing to the Fresns core library! The contribution guide can be found in the [Fresns documentation](https://fresns.org/community/join.html).

## Code of Conduct

In order to ensure that the Fresns community is welcoming to all, please review and abide by the [Code of Conduct](https://fresns.org/community/join.html#code-of-conduct).

## Security Vulnerabilities

If you discover a security vulnerability within Fresns, please send an e-mail to Taylor Otwell via [support@fresns.org](mailto:support@fresns.org). All security vulnerabilities will be promptly addressed.

## License

Fresns is open-sourced software licensed under the [Apache-2.0 license](https://github.com/fresns/fresns/blob/main/LICENSE).
